Index: trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs	(revision 852)
+++ trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs	(revision 1153)
@@ -26,4 +26,7 @@
 
 namespace HeuristicLab.Selection.OffspringSelection {
+  /// <summary>
+  /// Plugin class for HeuristicLab.Selection.OffspringSelection plugin.
+  /// </summary>
   [ClassInfo(Name = "HeuristicLab.Selection.OffspringSelection-3.2")]
   [PluginFile(Filename = "HeuristicLab.Selection.OffspringSelection-3.2.dll", Filetype = PluginFileType.Assembly)]
Index: trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs	(revision 852)
+++ trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringAnalyzer.cs	(revision 1153)
@@ -27,9 +27,18 @@
 
 namespace HeuristicLab.Selection.OffspringSelection {
+  /// <summary>
+  /// Analyzes the offspring in a given scope whether it is successful or not.
+  /// </summary>
   public class OffspringAnalyzer : OperatorBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return @"TODO\r\nOperator description still missing ..."; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OffspringAnalyzer"/> with six variable infos 
+    /// (<c>Maximization</c>, <c>Quality</c>, <c>ParentQualities</c>, <c>SuccessfulChild</c>,
+    /// <c>ComparisonFactor</c> and <c>ParentsCount</c>).
+    /// </summary>
     public OffspringAnalyzer() {
       AddVariableInfo(new VariableInfo("Maximization", "Problem is a maximization problem", typeof(BoolData), VariableKind.In));
@@ -48,4 +57,12 @@
     }
 
+    /// <summary>
+    /// Analyzes the offspring in the given scope whether the children are successful or not.
+    /// </summary>
+    /// <exception cref="InvalidOperationException">Thrown when <c>ParentsCount</c> smaller than 1.</exception>
+    /// <exception cref="InvalidOperationException">Thrown when the number of children is not constant or
+    /// smaller than 1.</exception>
+    /// <param name="scope">The scope whose offspring should be analyzed.</param>
+    /// <returns>The next operation or null.</returns>
     public override IOperation Apply(IScope scope) {
       bool maximize = GetVariableValue<BoolData>("Maximization", scope, true).Data;
Index: trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs	(revision 852)
+++ trunk/sources/HeuristicLab.Selection.OffspringSelection/OffspringSelector.cs	(revision 1153)
@@ -27,9 +27,18 @@
 
 namespace HeuristicLab.Selection.OffspringSelection {
+  /// <summary>
+  /// Selects successful and also according to the selection pressure some unsuccessful children.
+  /// </summary>
   public class OffspringSelector : OperatorBase {
+    /// <inheritdoc select="summary"/>
     public override string Description {
       get { return @"TODO\r\nOperator description still missing ..."; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OffspringSelector"/> with seven variable infos
+    /// (<c>SuccessfulChild</c>, <c>SelectionPressureLimit</c>, <c>SuccessRatioLimit</c>, 
+    /// <c>SelectionPressure</c>, <c>SuccessRatio</c>, <c>GoodChildren</c> and <c>BadChildren</c>).
+    /// </summary>
     public OffspringSelector() {
       AddVariableInfo(new VariableInfo("SuccessfulChild", "True if the child was successful", typeof(BoolData), VariableKind.In));
@@ -42,4 +51,10 @@
     }
 
+    /// <summary>
+    /// Selects successful children and also some bad ones depending on the selection
+    /// pressure out of a population.
+    /// </summary>
+    /// <param name="scope">The current scope of the parents and the children.</param>
+    /// <returns>The next operation or null.</returns>
     public override IOperation Apply(IScope scope) {
       double selectionPressureLimit = GetVariableValue<DoubleData>("SelectionPressureLimit", scope, true).Data;
